const int freq = 5000; //задали частоту ШИМ-сигнала в ГЦ
const int ledChannel = 0; // выбор 0 канала ШИМ 
const int resolution = 8; // разрешение ШИМ 8 - следовательно, период ШИМ сигнала можно разделить на 255 отрезков
 
void setup(){
  Serial.begin(115200);
  ledcSetup(ledChannel, freq, resolution); //собрали в конфигурацию все параметры ШИМ сигнала 
  ledcAttachPin(13, ledChannel);  //подключили к ШИМ 13 пин  
}
 
void loop(){
  // увеличиваем яркость светодиода
  for(int dutyCycle = 0; dutyCycle <= 255; dutyCycle++){   
    ledcWrite(ledChannel, dutyCycle); // запустили ШИМ, dutyCycle - длтельность импульса 
    delay(15);
  }

  // уменьшаем яркость светодиода
  for(int dutyCycle = 255; dutyCycle >= 0; dutyCycle--){
    ledcWrite(ledChannel, dutyCycle);
    delay(15);
  }
}
